/*
 * @(#)UFrameChild.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */
package jp.co.iti.fagot.ui;

import javax.swing.JComponent;
import javax.swing.JScrollPane;

import jp.co.iti.fagot.IZApp;
//import jp.co.iti.fagot.ZFrame;
import jp.co.iti.fagot.util.ZResource;
/**
 * チャイルドフレーム
 * @author  福島康治
 * @version 1.01 2001/01/07
 */
public class UFrameChild extends UFrame {

	/**
     * コンストラクタ
     * @param szFrameName フレーム名
	 */
	public UFrameChild(IZApp app,String szFrameName) {
	super(szFrameName);
	mApp = app;

	setTitle()			;	// フレームタイトルの表示
	getResource().loadGeometry(this,getFrameName());	// フレームの位置取得

	addFrameAdapter()	;	// フレームアダプタの設定
	}

	/**
     * コンポーネントの設定
     * @param cmp コンポーネント
     * @param bScroll スクロールの有無
	 */
	public void setComponent( JComponent cmp, boolean bScroll ) {
	if ( bScroll ) {
		JScrollPane	scroll = new JScrollPane();
		scroll.setViewportView( cmp );
		mComponent = cmp;
		getContentPane().add("Center",scroll);
	} else {
		getContentPane().add("Center",cmp);
	}
	}

	/**
     * コンポーネントの取得
	 */
	public JComponent getComponent() {
	return mComponent;
	}

	//## 部品 #########################################################
	/**
	 * フレームの終了
	 * ×ボタンが押されたときに呼び出される。
	 */
	public void exitFrame() {
	getResource().saveGeometry(this,getFrameName());	// フレームの位置保存
	}

	/**
     * リソースの取得（オーバライド）
	 */
	public ZResource getResource() {
	return mApp.getResource();
	}


	//## アトリビュート ###############################################
    /**
     * Application
     */
	protected IZApp		mApp	= null ;

    /**
     * メインコンポーネント
     */
	protected JComponent mComponent	= null ;
}
